org.kie.api.executor

## Interface ExecutorService

-     public interface ExecutorService

  Top level facade that aggregates operations defined in:
  - `Executor`
  - `ExecutorQueryService`
  - `ExecutorAdminService`
  See Also:
    `Executor`, `ExecutorQueryService`, `ExecutorAdminService`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ExecutorService.IdProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EXECUTOR_ID` Allow to use custom identifiers for the executor instance where default is to rely on local id of clustering of kie if present, otherwise use simple 'default-executor'.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelRequest(Long requestId)`
    `int` | `clearAllErrors()`
    `int` | `clearAllRequests()`
    `void` | `destroy()`
    `List<ErrorInfo>` | `getAllErrors(QueryContext queryContext)`
    `List<RequestInfo>` | `getAllRequests(QueryContext queryContext)`
    `List<RequestInfo>` | `getCancelledRequests(QueryContext queryContext)`
    `List<RequestInfo>` | `getCompletedRequests(QueryContext queryContext)`
    `List<ErrorInfo>` | `getErrorsByRequestId(Long requestId)`
    `List<RequestInfo>` | `getFutureQueuedRequests(QueryContext queryContext)`
    `List<RequestInfo>` | `getInErrorRequests(QueryContext queryContext)`
    `int` | `getInterval()`
    `List<RequestInfo>` | `getPendingRequestById(Long id)`
    `List<RequestInfo>` | `getPendingRequests(QueryContext queryContext)`
    `List<RequestInfo>` | `getQueuedRequests(QueryContext queryContext)`
    `RequestInfo` | `getRequestById(Long requestId)`
    `List<RequestInfo>` | `getRequestsByBusinessKey(String businessKey, List<STATUS> statuses, QueryContext queryContext)`
    `List<RequestInfo>` | `getRequestsByBusinessKey(String businessKey, QueryContext queryContext)`
    `List<RequestInfo>` | `getRequestsByCommand(String command, List<STATUS> statuses, QueryContext queryContext)`
    `List<RequestInfo>` | `getRequestsByCommand(String command, QueryContext queryContext)`
    `List<RequestInfo>` | `getRequestsByDeployment(String deploymentId, List<STATUS> statuses, QueryContext queryContext)`
    `List<RequestInfo>` | `getRequestsByProcessInstance(Long processInstanceId, List<STATUS> statuses, QueryContext queryContext)`
    `List<RequestInfo>` | `getRequestsByStatus(List<STATUS> statuses, QueryContext queryContext)`
    `int` | `getRetries()`
    `List<RequestInfo>` | `getRunningRequests(QueryContext queryContext)`
    `int` | `getThreadPoolSize()`
    `TimeUnit` | `getTimeunit()`
    `void` | `init()`
    `boolean` | `isActive()`
    `Long` | `scheduleRequest(String commandName, CommandContext ctx)`
    `Long` | `scheduleRequest(String commandId, Date date, CommandContext ctx)`
    `void` | `setInterval(int waitTime)`
    `void` | `setRetries(int defaultNroOfRetries)`
    `void` | `setThreadPoolSize(int nroOfThreads)`
    `void` | `setTimeunit(TimeUnit timeunit)`
    `void` | `updateRequestData(Long requestId, Map<String,Object> data)`

- - ### Field Detail

    - #### EXECUTOR_ID

          static final String EXECUTOR_ID

      Allow to use custom identifiers for the executor instance where default is to rely on local id of clustering of kie if present, otherwise use simple 'default-executor'. Alternatively an jbpm-executor.id file can be dropped on root of the classpath to provide application scoped id instead of JVM scoped (system property)

  - ### Method Detail

    - #### getQueuedRequests

          List<RequestInfo> getQueuedRequests(QueryContext queryContext)

    - #### getCompletedRequests

          List<RequestInfo> getCompletedRequests(QueryContext queryContext)

    - #### getInErrorRequests

          List<RequestInfo> getInErrorRequests(QueryContext queryContext)

    - #### getCancelledRequests

          List<RequestInfo> getCancelledRequests(QueryContext queryContext)

    - #### getAllErrors

          List<ErrorInfo> getAllErrors(QueryContext queryContext)

    - #### getAllRequests

          List<RequestInfo> getAllRequests(QueryContext queryContext)

    - #### getRequestsByStatus

          List<RequestInfo> getRequestsByStatus(List<STATUS> statuses,
                                                QueryContext queryContext)

    - #### getRequestsByBusinessKey

          List<RequestInfo> getRequestsByBusinessKey(String businessKey,
                                                     QueryContext queryContext)

    - #### getRequestsByBusinessKey

          List<RequestInfo> getRequestsByBusinessKey(String businessKey,
                                                     List<STATUS> statuses,
                                                     QueryContext queryContext)

    - #### getRequestsByCommand

          List<RequestInfo> getRequestsByCommand(String command,
                                                 QueryContext queryContext)

    - #### getRequestsByCommand

          List<RequestInfo> getRequestsByCommand(String command,
                                                 List<STATUS> statuses,
                                                 QueryContext queryContext)

    - #### getRequestsByDeployment

          List<RequestInfo> getRequestsByDeployment(String deploymentId,
                                                    List<STATUS> statuses,
                                                    QueryContext queryContext)

    - #### getRequestsByProcessInstance

          List<RequestInfo> getRequestsByProcessInstance(Long processInstanceId,
                                                         List<STATUS> statuses,
                                                         QueryContext queryContext)

    - #### clearAllRequests

          int clearAllRequests()

    - #### clearAllErrors

          int clearAllErrors()

    - #### scheduleRequest

          Long scheduleRequest(String commandName,
                               CommandContext ctx)

    - #### cancelRequest

          void cancelRequest(Long requestId)

    - #### updateRequestData

          void updateRequestData(Long requestId,
                                 Map<String,Object> data)

    - #### init

          void init()

    - #### destroy

          void destroy()

    - #### isActive

          boolean isActive()

    - #### getInterval

          int getInterval()

    - #### setInterval

          void setInterval(int waitTime)

    - #### getRetries

          int getRetries()

    - #### setRetries

          void setRetries(int defaultNroOfRetries)

    - #### getThreadPoolSize

          int getThreadPoolSize()

    - #### setThreadPoolSize

          void setThreadPoolSize(int nroOfThreads)

    - #### getTimeunit

          TimeUnit getTimeunit()

    - #### setTimeunit

          void setTimeunit(TimeUnit timeunit)

    - #### getPendingRequests

          List<RequestInfo> getPendingRequests(QueryContext queryContext)

    - #### getPendingRequestById

          List<RequestInfo> getPendingRequestById(Long id)

    - #### scheduleRequest

          Long scheduleRequest(String commandId,
                               Date date,
                               CommandContext ctx)

    - #### getRunningRequests

          List<RequestInfo> getRunningRequests(QueryContext queryContext)

    - #### getFutureQueuedRequests

          List<RequestInfo> getFutureQueuedRequests(QueryContext queryContext)

    - #### getRequestById

          RequestInfo getRequestById(Long requestId)

    - #### getErrorsByRequestId

          List<ErrorInfo> getErrorsByRequestId(Long requestId)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.